Package org.bukkit.configuration.file

# Class YamlConfigurationOptions

java.lang.Object
org.bukkit.configuration.ConfigurationOptions
org.bukkit.configuration.MemoryConfigurationOptions
org.bukkit.configuration.file.FileConfigurationOptions
org.bukkit.configuration.file.YamlConfigurationOptions

public class YamlConfigurationOptions extends FileConfigurationOptions
Various settings for controlling the input and output of a `YamlConfiguration`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`YamlConfigurationOptions(@NotNull YamlConfiguration configuration)`

## Method Summary

Modifier and Type
Method
Description
`int`
`codePointLimit()`
Gets the maximum code point limit, that being, the maximum length of the document in which the loader will read
`@NotNull YamlConfigurationOptions`
`codePointLimit(int codePointLimit)`
Sets the maximum code point limit, that being, the maximum length of the document in which the loader will read
`@NotNull YamlConfiguration`
`configuration()`
Returns the `Configuration` that this object is responsible for.
`@NotNull YamlConfigurationOptions`
`copyDefaults(boolean value)`
Sets if the `Configuration` should copy values from its default `Configuration` directly.
`@NotNull YamlConfigurationOptions`
`copyHeader(boolean value)`
Deprecated.
`@NotNull YamlConfigurationOptions`
`header(@Nullable String value)`
Deprecated.
`int`
`indent()`
Gets how much spaces should be used to indent each line.
`@NotNull YamlConfigurationOptions`
`indent(int value)`
Sets how much spaces should be used to indent each line.
`@NotNull YamlConfigurationOptions`
`parseComments(boolean value)`
Sets whether or not comments should be loaded and saved.
`@NotNull YamlConfigurationOptions`
`pathSeparator(char value)`
Sets the char that will be used to separate `ConfigurationSection`s
`@NotNull YamlConfigurationOptions`
`setFooter(@Nullable List<String> value)`
Sets the footer that will be applied to the bottom of the saved output.
`@NotNull YamlConfigurationOptions`
`setHeader(@Nullable List<String> value)`
Sets the header that will be applied to the top of the saved output.
`int`
`width()`
Gets how long a line can be, before it gets split.
`@NotNull YamlConfigurationOptions`
`width(int value)`
Sets how long a line can be, before it gets split.

### Methods inherited from class org.bukkit.configuration.file.FileConfigurationOptions

`copyHeader, getFooter, getHeader, header, parseComments`

### Methods inherited from class org.bukkit.configuration.ConfigurationOptions

`copyDefaults, pathSeparator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### YamlConfigurationOptions

protected YamlConfigurationOptions(@NotNull @NotNull YamlConfiguration configuration)

## Method Details

### configuration

@NotNull public @NotNull YamlConfiguration configuration()
Description copied from class: `ConfigurationOptions`
Returns the `Configuration` that this object is responsible for.

Overrides:
  `configuration` in class `FileConfigurationOptions`
Returns:
  Parent configuration

### copyDefaults

@NotNull public @NotNull YamlConfigurationOptions copyDefaults(boolean value)
Description copied from class: `ConfigurationOptions`
Sets if the `Configuration` should copy values from its default `Configuration` directly.

If this is true, all values in the default Configuration will be directly copied, making it impossible to distinguish between values that were set and values that are provided by default. As a result, `ConfigurationSection.contains(java.lang.String)` will always return the same value as `ConfigurationSection.isSet(java.lang.String)`. The default value is false.

Overrides:
  `copyDefaults` in class `FileConfigurationOptions`
Parameters:
  `value` - Whether or not defaults are directly copied
Returns:
  This object, for chaining

### pathSeparator

@NotNull public @NotNull YamlConfigurationOptions pathSeparator(char value)
Description copied from class: `ConfigurationOptions`
Sets the char that will be used to separate `ConfigurationSection`s

This value does not affect how the `Configuration` is stored, only in how you access the data. The default value is '.'.

Overrides:
  `pathSeparator` in class `FileConfigurationOptions`
Parameters:
  `value` - Path separator
Returns:
  This object, for chaining

### setHeader

@NotNull public @NotNull YamlConfigurationOptions setHeader(@Nullable @Nullable List<String> value)
Description copied from class: `FileConfigurationOptions`
Sets the header that will be applied to the top of the saved output.

This header will be commented out and applied directly at the top of the generated output of the `FileConfiguration`. It is not required to include a newline at the end of the header as it will automatically be applied, but you may include one if you wish for extra spacing.

If no comments exist, an empty list will be returned. A null entry represents an empty line and an empty String represents an empty comment line.

Overrides:
  `setHeader` in class `FileConfigurationOptions`
Parameters:
  `value` - New header, every entry represents one line.
Returns:
  This object, for chaining

### header

@NotNull @Deprecated public @NotNull YamlConfigurationOptions header(@Nullable @Nullable String value)
Deprecated.

Overrides:
  `header` in class `FileConfigurationOptions`
Parameters:
  `value` - The string header.
Returns:
  This object, for chaining.

### setFooter

@NotNull public @NotNull YamlConfigurationOptions setFooter(@Nullable @Nullable List<String> value)
Description copied from class: `FileConfigurationOptions`
Sets the footer that will be applied to the bottom of the saved output.

This footer will be commented out and applied directly at the bottom of the generated output of the `FileConfiguration`. It is not required to include a newline at the beginning of the footer as it will automatically be applied, but you may include one if you wish for extra spacing.

If no comments exist, an empty list will be returned. A null entry represents an empty line and an empty String represents an empty comment line.

Overrides:
  `setFooter` in class `FileConfigurationOptions`
Parameters:
  `value` - New footer, every entry represents one line.
Returns:
  This object, for chaining

### parseComments

@NotNull public @NotNull YamlConfigurationOptions parseComments(boolean value)
Description copied from class: `FileConfigurationOptions`
Sets whether or not comments should be loaded and saved.

Defaults to true.

Overrides:
  `parseComments` in class `FileConfigurationOptions`
Parameters:
  `value` - Whether or not comments are parsed.
Returns:
  This object, for chaining

### copyHeader

@NotNull @Deprecated public @NotNull YamlConfigurationOptions copyHeader(boolean value)
Deprecated.

Overrides:
  `copyHeader` in class `FileConfigurationOptions`
Parameters:
  `value` - Should comments be parsed.
Returns:
  This object, for chaining

### indent

public int indent()
Gets how much spaces should be used to indent each line.

The minimum value this may be is 2, and the maximum is 9.

Returns:
  How much to indent by

### indent

@NotNull public @NotNull YamlConfigurationOptions indent(int value)
Sets how much spaces should be used to indent each line.

The minimum value this may be is 2, and the maximum is 9.

Parameters:
  `value` - New indent
Returns:
  This object, for chaining

### width

public int width()
Gets how long a line can be, before it gets split.

Returns:
  How the max line width

### width

@NotNull public @NotNull YamlConfigurationOptions width(int value)
Sets how long a line can be, before it gets split.

Parameters:
  `value` - New width
Returns:
  This object, for chaining

### codePointLimit

public int codePointLimit()
Gets the maximum code point limit, that being, the maximum length of the document in which the loader will read

Returns:
  The current value

### codePointLimit

@NotNull public @NotNull YamlConfigurationOptions codePointLimit(int codePointLimit)
Sets the maximum code point limit, that being, the maximum length of the document in which the loader will read

Parameters:
  `codePointLimit` - new codepoint limit
Returns:
  This object, for chaining